DRM_PCI_ALLOC(9)

NAME
drm_pci_alloc - Allocate a PCI consistent memory block, for DMA.

SYNOPSIS

drm_dma_handle_t * drm_pci_alloc(struct drm_device * dev, size_t size, size_t align);

ARGUMENTS

dev
    DRM device

size
    size of block to allocate

align
    alignment of block

RETURN

A handle to the allocated memory block on success or NULL on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT